Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jeans.trayicon
Class TrayIconPopupCheckItem

    java.lang.Object
      com.jeans.trayicon.TrayIconPopupSimpleItem
          com.jeans.trayicon.TrayIconPopupCheckItem

All Implemented Interfaces:
  com.jeans.trayicon.TrayIconPopupItem

public class TrayIconPopupCheckItem
extends TrayIconPopupSimpleItem

Constructor Summary
`TrayIconPopupCheckItem(java.lang.String item)` Create new checkbox menu item Param item = the name of the new item

Method Summary
`boolean` | `getCheck()` Get checkmark of item
`boolean` | `onSelected(int menuId)` Callback when user selects menu item (find it by comparing menu id's) Param menuId = the id of the selected item
`void` | `setCheck(boolean selected)` Set/Remove checkmark of item Param selected = checkmark/no checkmark?
`void` | `setTrayIcon(WindowsTrayIcon trayicon, int id, int level)` Create menu in native library - used by WindowsTrayIcon.setPopup() Param trayicon = the owner of this menu Param id = the icon's id Param level = the level (submenu depth)

Methods inherited from class com.jeans.trayicon.TrayIconPopupSimpleItem
`addActionListener, getName, getNbLevels, setDefault, setEnabled`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrayIconPopupCheckItem

    public TrayIconPopupCheckItem(java.lang.String item)

  Create new checkbox menu item Param item = the name of the new item

Method Detail

### setCheck

    public void setCheck(boolean selected)

  Set/Remove checkmark of item Param selected = checkmark/no checkmark?

### getCheck

    public boolean getCheck()

  Get checkmark of item

### onSelected

    public boolean onSelected(int menuId)

  Callback when user selects menu item (find it by comparing menu id's) Param menuId = the id of the selected item

  Specified by:
    `onSelected` in interface `com.jeans.trayicon.TrayIconPopupItem`
  Overrides:
    `onSelected` in class `TrayIconPopupSimpleItem`

### setTrayIcon

    public void setTrayIcon(WindowsTrayIcon trayicon,
                            int id,
                            int level)

  Create menu in native library - used by WindowsTrayIcon.setPopup() Param trayicon = the owner of this menu Param id = the icon's id Param level = the level (submenu depth)

  Specified by:
    `setTrayIcon` in interface `com.jeans.trayicon.TrayIconPopupItem`
  Overrides:
    `setTrayIcon` in class `TrayIconPopupSimpleItem`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD